#version 330 core

// Interpolated values from the vertex shaders
in vec2 UV;

// Ouput data
out vec4 color;

// Values that stay constant for the whole mesh.
//uniform mat4 MVP;
uniform vec4 singleCol;
uniform sampler2D bmp;

void main()
{
	color.rgba = singleCol.rgba;
	// Set the color to like red and see how the line above edits the alpha.
	color.a = texture2D( bmp, UV).r;
}
