#version 450 core
#extension GL_ARB_shader_storage_buffer_object : require

in int gl_VertexID;

struct vertBlock
{
	int exists;
	float pos0;
	float pos1;
	float pos2;
	int texi;
};

// Input vertex data, different for all executions of this shader.
layout(std430, binding=2) buffer vb {
        vertBlock verts[];
};
layout(std430, binding=1) buffer ti {
        int indexes[];
};

void main(){
	// Output position of the vertex, in clip space : MVP * position
	gl_Position =  vec4(verts[indexes[gl_VertexID]].pos0, verts[indexes[gl_VertexID]].pos1, verts[indexes[gl_VertexID]].pos2, 1);
}

